![icon_ch](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/icon_en.png?raw=true)
# idkit
[🇺🇸 English](https://github.com/zhoushuangjian001/idkit/blob/master/README.md) &nbsp;&nbsp;  | &nbsp;&nbsp;  [🇨🇳 Chinese](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)

#### 1. Introduction
- **idkit** is a basic library that provides **Flutter** developers with common functions in development.
- The library has the following features:    
    Simple to use, comprehensive functions, good stability, long-term maintenance...
- **idkit** is all about making your development easier!

#### 2. Function Catalog
- ##### Functional Category
  ###### [1. Add thousandths to money values](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/thousands_readme.md)
  ###### [2. Expansion of widget margin ](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/padding_readme.md)
  ###### [3. Hexadecimal value handling of colors](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/color_readme.md)
  ###### [4. Gap widget between widgets](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/gap_readme.md)
  ###### [5. Extension of text styles](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/textstyle_readme.md)
  ###### [6. Extension of date](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/datetime_readme.md)
  ###### [7. Formatting of various numbers](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/number_format_readme.md.md)
  ###### [8. Number desensitization processing](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/desensitization_readme.md.md)

  
- ##### Widget Category
  ###### [1. IDKitChoice](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/choice_readme.md)
  - Widget that quickly implement multiple or single-choice options
  ###### [2. IDKitMultiFingerRecognizer](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/en/multi_finger_readme.md)
  - This is a widget for multi-finger recognition. It needs to be able to detect how many fingers tap the screen at a time.
  ###### [x. Under development...]()
  - Widget development takes time and testing, please be patient...

#### 3、Help Guide
If you find any problems and questions in the process of using this library, you can raise them on [GitHub-Issues](https://github.com/zhoushuangjian001/idkit/issues) or [Click Here](https://pub.flutter-io.cn/packages/idkit/example) See more official examples.