import 'package:flutter/material.dart';

extension IDKitGap on num {
  /// Horizontal gap widget
  Widget get hGap => SizedBox(width: toDouble());

  /// Vertical gap widget
  Widget get vGap => SizedBox(height: toDouble());

  /// Horizontal gap colored widget
  Widget hCGap(Color color) => ColoredBox(color: color, child: hGap);

  /// Vertical gap colored widget
  Widget vCGap(Color color) => ColoredBox(color: color, child: vGap);
}
