<p id='jump'></p>

## 颜色的十六进制数值处理
#### 简介
该功能主要是颜色十六进制数值的处理，便于获取相应的颜色。包含的方法有:
- hexColor  用于基本十六进制类型,如: #151515、151515
- color     等同于 hexColor
- aHexColor 用于透明度在前的十六进制类型,如: #FF151515, FF151515
- hexAColor 用于透明度在后的十六进制类型,如: #151515FF, 151515FF
  
#### 示例展示
```dart
// HEX
Color color = '#3767FE'.hexColor;
color = '3767FE'.hexColor;
color = '#3767FE'.color;
color = '3767FE'.color;
// AHEX
color = '#FF3767FE'.aHexColor;
color = 'FF3767FE'.aHexColor;
// HEXA
color = '#3767FEFF'.hexAColor;
color = '3767FEFF'.hexAColor;
```
#### 示例展示结果
![color](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/color.png?raw=true)
#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**