<p id='jump'></p>

## 组件之间的填充组件
#### 简介
该功能主要是便捷产生两个组件之间的间隔组件。主要功能如下:
- hGap   水平方向产生指定宽度的 **SizeBox** 组件
- vGap   垂直方向产生指定高度的 **SizeBox** 组件
  
#### 示例展示
```dart
// Gap Widget
Column(
  children: <Widget>[
    Container(height: 40, color: Colors.red),
    20.vGap,
    Container(height: 20, color: Colors.green),
    50.vGap,
    Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Container(width: 100, height: 20, color: Colors.red),
        100.hGap,
        Container(height: 20, width: 100, color: Colors.pink),
      ],
    )
  ],
)
```
#### 示例展示结果
![gap](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/gap.png?raw=true)
#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**