<p id='jump'></p>

## 多手指识别小部件

#### 简介
这是一个多手指识别的小部件，它组要能检测到一次有多少根手指点击屏幕。
#### 示例展示
```dart
class MultiFingerWidget extends StatelessWidget {
  const MultiFingerWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return IDKitMultiFingerRecognizer(
      fingerRecognizerCall: (p0) {
        log('$p0');
      },
      child: GestureDetector(
        onTap: () {
          log('GestureDetector -- onTap');
        },
        child: Container(
          color: Colors.red,
          height: 300,
          width: 300,
        ),
      ),
    );
  }
}
```

#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**