<p id='jump'></p>

## 各种号码格式化

#### 简介
该功能主要是对各种号码进行格式化处理。包含的功能如下:
- phoneFormat  手机号格式化处理
- bankFormat   银行卡号格式化处理
- idFormat     身份证号格式化处理

#### 示例展示
```dart
// Phone number format
final String phone = '18702210183'.phoneFormat;
final String phone1 = '187 3221 0183'.phoneFormat;
final String phone2 = ' 187 42220183 '.phoneFormat;
debugPrint('\n/// Number Formatting');
debugPrint('// Phone number format');
debugPrint(phone); // 187 0221 0183
debugPrint(phone1); // 187 3221 0183
debugPrint(phone2); // 187 4222 0183
// Bank card number format
final String bank16 = '6222333444455551'.bankFormat;
final String bank17 = '62223334444555562'.bankFormat;
final String bank19 = '6222333444455556785'.bankFormat;
debugPrint('\n// Bank card number format');
debugPrint(bank16); // 6222 3334 4445 5551
debugPrint(bank17); // 6222 3334 4445 5556 2
debugPrint(bank19); // 6222 3334 4445 5556 785
// ID number format
final String id18 = '411422189806789226'.idFormat;
debugPrint('\n// ID number format');
debugPrint(id18); // 411422 1898 0678 9226
```

#### 示例展示结果
![number_format](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/number_format.png?raw=true)

#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**