<p id='jump'></p>

## 文本样式的扩展

#### 简介
该功能主要是对文本的样式(TextStyle) 进行扩展。主要扩展包含如下:
- 对文本样式的字重进行扩展
- 对文本样式的颜色进行扩展
- 对文本样式的样式进行扩展
- 对文本样式的行高进行扩展
- 对文本样式的单词间距进行扩展
- 对文本样式的字母间距进行扩展
- 对文本样式的字体大小进行扩展
  
#### 示例展示
```dart
Column(
  children: <Widget>[
    const Text(
      'idkit makes development easy!',
      style: TextStyle(),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().bold,
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().c(Colors.red),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().hexColor('#3A4E5F'),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().italic,
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().fSize(20),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().h(3),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().lSpacing(3),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle().wSpacing(5),
    ),
    Text(
      'idkit makes development easy!',
      style: const TextStyle()
          .medium
          .italic
          .c(Colors.cyan)
          .fSize(20)
          .h(3)
          .lSpacing(3)
          .wSpacing(5),
    ),
  ],
)
```
#### 示例展示结果
![textstyle](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/textstyle.png?raw=true)
#### 便捷方式
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;目录](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;顶部](#jump)**