<p id='jump'></p>

## Hexadecimal value handling of colors
#### Introduction
This function is mainly to process the color hexadecimal value, which is convenient to obtain the corresponding color. The included methods are:    

- hexColor  For basic hex types, eg: #151515, 151515
- color     Equivalent to hexColor
- aHexColor Used for hex types with transparency first, eg: #FF151515, FF151515
- hexAColor Hexadecimal type used for transparency after, eg: #151515FF, 151515FF
  
#### Example Display
```dart
// HEX
Color color = '#3767FE'.hexColor;
color = '3767FE'.hexColor;
color = '#3767FE'.color;
color = '3767FE'.color;
// AHEX
color = '#FF3767FE'.aHexColor;
color = 'FF3767FE'.aHexColor;
// HEXA
color = '#3767FEFF'.hexAColor;
color = '3767FEFF'.hexAColor;
```
#### Sample Display Results
![color](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/color.png?raw=true)
#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**