<p id='jump'></p>

## Padding widget between widgets

#### Introduction
This function is mainly to facilitate the generation of spacer widget between two widget. The main functions are as follows: 

- hGap   Generate a **SizeBox** widget of the specified width in the horizontal direction
- vGap   Generate a **SizeBox** widget of the specified height vertically
  
#### Example Display
```dart
// Gap Widget
Column(
  children: <Widget>[
    Container(height: 40, color: Colors.red),
    20.vGap,
    Container(height: 20, color: Colors.green),
    50.vGap,
    Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Container(width: 100, height: 20, color: Colors.red),
        100.hGap,
        Container(height: 20, width: 100, color: Colors.pink),
      ],
    )
  ],
)
```

#### Sample Display Results
![gap](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/gap.png?raw=true)
#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**