<p id='jump'></p>

## Multi-Finger Recognition Widget

#### Introduction
This is a widget for multi-finger recognition. It needs to be able to detect how many fingers tap the screen at a time.
#### Example Display
```dart
class MultiFingerWidget extends StatelessWidget {
  const MultiFingerWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return IDKitMultiFingerRecognizer(
      fingerRecognizerCall: (p0) {
        log('$p0');
      },
      child: GestureDetector(
        onTap: () {
          log('GestureDetector -- onTap');
        },
        child: Container(
          color: Colors.red,
          height: 300,
          width: 300,
        ),
      ),
    );
  }
}
```


#### Convenient Way
**[❤️ &nbsp;&nbsp;Pub-Idkit](https://pub.flutter-io.cn/packages/idkit)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[👈🏻 &nbsp;&nbsp;Contents](https://github.com/zhoushuangjian001/idkit/blob/master/README.md)** &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;**[ 👆🏻 &nbsp;&nbsp;Top](#jump)**