![icon_ch](https://github.com/zhoushuangjian001/idkit/blob/master/readme_img/icon_ch.png?raw=true)
# idkit
[🇺🇸 英文](https://github.com/zhoushuangjian001/idkit/blob/master/README.md) &nbsp;&nbsp;  | &nbsp;&nbsp;  [🇨🇳 中文](https://github.com/zhoushuangjian001/idkit/blob/master/README_CH.md)

#### 一、简介
- **idkit** 是为 **Flutter** 开发者提供开发中常用功能的基础库。
- 该库具有以下特性:
    使用简单、功能全面、稳定性好、长期维护...
- **idkit** 的宗旨是让您的开发变的更加简单！

#### 二、功能目录
- ##### 功能类
  ###### [1. 金钱数值添加千分位](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/thousands_readme.md)
  ###### [2. 组件外边距的扩展](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/padding_readme.md)
  ###### [3. 颜色十六进制数值处理](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/color_readme.md)
  ###### [4. 组件之间的填充组件](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/gap_readme.md)
  ###### [5. 文本样式的扩展](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/textstyle_readme.md)
  ###### [6. 日期的扩展](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/datetime_readme.md)
  ###### [7. 各种号码的格式化](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/number_format_readme.md.md)
  ###### [8. 号码脱敏处理](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/desensitization_readme.md.md)

- ##### 组件类
  ###### [1. IDKitChoice](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/choice_readme.md)
  - 快速实现多项或者单项选择的组件
  ###### [2. IDKitMultiFingerRecognizer](https://github.com/zhoushuangjian001/idkit/blob/master/readme_md/ch/multi_finger_readme.md)
  - 这是一个多手指识别的小部件，它组要能检测到一次有多少根手指点击屏幕。
  ###### [x. 研发中...]()
  - 组件开发需要时间以及测试,请耐心等待...
#### 三、帮助引导
如果您在使用该库过程中发现什么问题以及疑问时，您可以在 [GitHub-Issues](https://github.com/zhoushuangjian001/idkit/issues) 上提出或者也可以 [点击这里](https://pub.flutter-io.cn/packages/idkit/example) 查看更多官方示例。